Package com.google.javascript.jscomp

# Class AbstractMessageFormatter

java.lang.Object
com.google.javascript.jscomp.AbstractMessageFormatter

All Implemented Interfaces:
  `MessageFormatter`

Direct Known Subclasses:
  `LightweightMessageFormatter`

public abstract class AbstractMessageFormatter extends Object implements MessageFormatter
Abstract message formatter providing default behavior for implementations of `MessageFormatter` needing a `SourceExcerptProvider`.

## Constructor Summary

Constructors
Constructor
Description
`AbstractMessageFormatter(SourceExcerptProvider source)`

## Method Summary

Modifier and Type
Method
Description
`protected final SourceExcerptProvider`
`getSource()`
Get the source excerpt provider.
`void`
`setColorize(boolean colorize)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.javascript.jscomp.MessageFormatter

`formatError, formatWarning`

## Constructor Details

### AbstractMessageFormatter

public AbstractMessageFormatter(SourceExcerptProvider source)

## Method Details

### setColorize

public void setColorize(boolean colorize)

### getSource

protected final SourceExcerptProvider getSource()
Get the source excerpt provider.